import request from '@/utils/request'

// 公司列表
export function apiCompanyLists(params: any) {
    return request.get({ url: '/company/lists', params })
}

// 添加公司
export function apiCompanyAdd(params: any) {
    return request.post({ url: '/company/add', params })
}

// 编辑公司
export function apiCompanyEdit(params: any) {
    return request.post({ url: '/company/edit', params })
}

// 删除公司
export function apiCompanyDelete(params: any) {
    return request.post({ url: '/company/delete', params })
}

// 公司详情
export function apiCompanyDetail(params: any) {
    return request.get({ url: '/company/detail', params })
}

// 下属公司详情
export function apiSubordinateList(params: any) {
    return request.get({ url: '/company/subordinate', params })
}
// 重新发送短信
export function sendMsgApi(params: any) {
    return request.get({ url: '/company/postsms', params })
}
// 生成合同
export function initiate_contract(params: any) {
    return request.get({ url: '/company/initiate_contract', params })
}
// 发送合同
export function generateGontract(params: any) {
    return request.get({ url: '/company/Draftingcontracts', params })
}
// 发送短信
export function authentication(params: any) {
    return request.get({ url: '/company/authentication', params })
}

// 平台公司
export function companyListTwo(params: any) {
    return request.get({ url: '/company/list_two', params })
}

// 获取管辖区域
export function companyResponsibleArea(params: any) {
    return request.get({ url: '/company/responsible_area', params })
}

// 人脸采集
export function organizationFaceCreate(params: any) {
    return request.get({ url: '/company/organizationFaceCreate', params })
}